/**
 * Copyright (C) 2010 <dueni(at)gmx.net>
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package net.java.dev.faces.chain;

import org.apache.commons.chain.Command;

/**
 * Interface to mark named commands, that is command or chain having a name attribute.
 * 
 * @author dueni
 * 
 */
public interface NamedCommand extends Command {

	/**
	 * Return the command name.
	 * 
	 * @return the command name.
	 */
	String getName();

	/**
	 * Set the command name.
	 * 
	 * @param name
	 *          the command name.
	 */
	void setName(String name);
}
